Bug 1459686 - logrorate complains on duplicate log entry for /var/log/foreman-proxy/smart_proxy_dynflow_core.log
logrorate complains on duplicate log entry for /var/log/foreman-proxy/smart_p...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: Adam Ruzicka
Evgeni Golov
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 16:03 EDT by Ivan Necas
Modified: 2018-02-27 03:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 12:05:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19245 None None None 2017-06-07 16:04 EDT

  None (edit)
Description Ivan Necas 2017-06-07 16:03:58 EDT
Description of problem:

With remote execution installed with foreman 1.15, the logrotate complains about
duplicate recoreds


/etc/cron.daily/logrotate:

error: tfm-rubygem-smart_proxy_dynflow_core:1 duplicate log entry for /var/log/foreman-proxy/smart_proxy_dynflow_core.log



Version-Release number of selected component (if applicable):
foreman-proxy-1.15.0-1.el7.noarch
tfm-rubygem-smart_proxy_dynflow_core-0.1.6-2.fm1_15.el7.noarch

How reproducible:
daily

Steps to Reproduce:
1. logrotate /etc/logrotate.conf


Actual results:
error message is produced

Expected results:
no error messages

Additional info:

this also spams /var/spool/mail/root, that should be kept clean
for taking attention to real potential issues: actually noticed this
while looking reviewing check for unread root messages in https://github.com/iNecas/foreman_maintain/pull/56/files
Comment 1 Ivan Necas 2017-06-07 16:04:55 EDT
Connecting redmine issue http://projects.theforeman.org/issues/19245 from this bug
Comment 4 pm-sat@redhat.com 2017-06-07 18:02:46 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19245 has been resolved.
Comment 5 Daniel Lobato Garcia 2017-06-09 09:35:03 EDT
The commit was cp-ed to rpm/1.15 by Dominic upstream upon PR merge: https://github.com/theforeman/foreman-packaging/commit/06ee68a595da4552e5094cfe0da3859ba81e8ab7
Comment 6 Evgeni Golov 2017-08-30 06:21:55 EDT
FAILED_QA

Version tested:
Satellite 6.3 Snap 13
foreman-proxy-1.15.3-1.el7sat.noarch
tfm-rubygem-smart_proxy_dynflow_core-0.1.6-2.fm1_15.el7sat.noarch


[root@sat63-qa-rhel7 ~]# sh /etc/cron.daily/logrotate
error: tfm-rubygem-smart_proxy_dynflow_core:1 duplicate log entry for /var/log/foreman-proxy/smart_proxy_dynflow_core.log

Seems one half of the upstream commits did not make it downstream:
# grep -r /var/log/foreman-proxy /etc/logrotate.d/
/etc/logrotate.d/foreman-proxy:/var/log/foreman-proxy/*log {
/etc/logrotate.d/tfm-rubygem-smart_proxy_dynflow_core:/var/log/foreman-proxy/smart_proxy_dynflow_core.log {


https://github.com/theforeman/foreman-packaging/commit/06ee68a595da4552e5094cfe0da3859ba81e8ab7 is there
https://github.com/theforeman/foreman-packaging/pull/1610/files is not
Comment 8 Bryan Kearney 2018-02-21 12:05:22 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.